# $Revision: 1.21 $, $Date: 2008/07/27 23:06:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unicode
%define		pnam	MapUTF8
Summary:	Unicode::MapUTF8 - conversions to and from arbitrary character sets and UTF8
Summary(pl.UTF-8):	Unicode::MapUTF8 - konwersje między dowolnym zestawem znaków a UTF8
Name:		perl-Unicode-MapUTF8
Version:	1.11
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	16e66ee0bdc0e6cc9c36e29212d8ffdc
URL:		http://search.cpan.org/dist/Unicode-MapUTF8/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Jcode
BuildRequires:	perl-Unicode-Map
BuildRequires:	perl-Unicode-Map8
BuildRequires:	perl-Unicode-String
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::MapUTF8 provides an adapter layer between core routines for
converting to and from UTF8 and other encodings. In essence, a way to
give multiple existing Unicode modules a single common interface so
you don't have to know the underlaying implementations to do simple
UTF8 to-from other character set encoding conversions. As such, it
wraps the Unicode::String, Unicode::Map8, Unicode::Map and Jcode
modules in a standardized and simple API.

%description -l pl.UTF-8
Unicode::MapUTF8 udostępnia warstwę pośrednią pomiędzy wewnętrznymi
funkcjami do konwersji pomiędzy UTF8 a innymi kodowaniami. W
szczególności jest sposobem na udostępnienie wielu istniejącym modułom
Unicode wspólnego interfejsu, dzięki czemu nie trzeba znać
implementacji każdego modułu do zastosowania prostej konwersji z/do
UTF8. Unicode::MapUTF8 opakowuje moduły Unicode::String,
Unicode::Map8, Unicode::Map i Jcode w ustandaryzowane i proste API.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/Unicode/MapUTF8.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Unicode-MapUTF8.spec,v $
Revision 1.21  2008/07/27 23:06:36  arekm
- release 2

Revision 1.20  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.18  2006/10/09 12:29:40  qboosh
- added URL

Revision 1.17  2006/02/20 21:34:19  glen
- 1.11

Revision 1.16  2004/11/03 22:30:53  paladine
- formatting

Revision 1.15  2004/05/07 00:38:14  ankry
- rel. 4

Revision 1.14  2004/05/06 18:21:27  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/03 23:39:22  ankry
- license fix, cosmetics

Revision 1.12  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.11  2004/04/15 10:01:05  ankry
- cosmetics

Revision 1.10  2003/09/09 10:24:54  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:08  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:39  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 22:09:55  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:42:36  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:07  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/09 22:42:25  qboosh
- pl description, release 2

Revision 1.1  2002/09/08 21:50:23  radek
- new
